Bug 1267902 - [abrt] file-roller: g_list_foreach(): file-roller killed by SIGSEGV
[abrt] file-roller: g_list_foreach(): file-roller killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:303cca8b8e5eeb1e169373ca210...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 07:04 EDT by Mikhail
Modified: 2016-12-20 09:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:50:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.51 KB, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: core_backtrace (5.97 KB, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: dso_list (10.55 KB, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: environ (1.14 KB, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: maps (52.15 KB, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: mountinfo (3.94 KB, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: open_fds (1.12 KB, text/plain)
2015-10-01 07:04 EDT, Mikhail
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-10-01 07:05 EDT, Mikhail
no flags Details
File: var_log_messages (320 bytes, text/plain)
2015-10-01 07:05 EDT, Mikhail
no flags Details
screencast (5.88 MB, application/ogg)
2015-10-01 07:36 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-10-01 07:04:38 EDT
Description of problem:
Try extract archive

Version-Release number of selected component:
file-roller-3.16.4-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        file-roller /home/mikhail/Downloads/crm.tar.gz
crash_function: g_list_foreach
executable:     /usr/bin/file-roller
global_pid:     4795
kernel:         4.2.1-300.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_list_foreach at glist.c:1004
 #1 _g_string_list_free at glib-utils.c:447
 #2 _fr_window_ask_overwrite_dialog at fr-window.c:6552
 #3 query_info_ready_for_overwrite_dialog_cb at fr-window.c:6466
 #4 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #5 query_info_async_cb at gdaemonfile.c:962
 #6 g_task_return_now at gtask.c:1104
 #7 g_task_return at gtask.c:1162
 #8 reply_cb at gdbusproxy.c:2569
 #9 g_task_return_now at gtask.c:1104

Potential duplicate: bug 911665
Comment 1 Mikhail 2015-10-01 07:04:42 EDT
Created attachment 1079035 [details]
File: backtrace
Comment 2 Mikhail 2015-10-01 07:04:44 EDT
Created attachment 1079036 [details]
File: cgroup
Comment 3 Mikhail 2015-10-01 07:04:45 EDT
Created attachment 1079037 [details]
File: core_backtrace
Comment 4 Mikhail 2015-10-01 07:04:47 EDT
Created attachment 1079038 [details]
File: dso_list
Comment 5 Mikhail 2015-10-01 07:04:49 EDT
Created attachment 1079039 [details]
File: environ
Comment 6 Mikhail 2015-10-01 07:04:51 EDT
Created attachment 1079040 [details]
File: exploitable
Comment 7 Mikhail 2015-10-01 07:04:52 EDT
Created attachment 1079041 [details]
File: limits
Comment 8 Mikhail 2015-10-01 07:04:54 EDT
Created attachment 1079042 [details]
File: maps
Comment 9 Mikhail 2015-10-01 07:04:56 EDT
Created attachment 1079043 [details]
File: mountinfo
Comment 10 Mikhail 2015-10-01 07:04:58 EDT
Created attachment 1079044 [details]
File: namespaces
Comment 11 Mikhail 2015-10-01 07:04:59 EDT
Created attachment 1079045 [details]
File: open_fds
Comment 12 Mikhail 2015-10-01 07:05:01 EDT
Created attachment 1079046 [details]
File: proc_pid_status
Comment 13 Mikhail 2015-10-01 07:05:02 EDT
Created attachment 1079047 [details]
File: var_log_messages
Comment 14 Mikhail 2015-10-01 07:36 EDT
Created attachment 1079053 [details]
screencast
Comment 15 Mikhail 2015-10-01 07:42:37 EDT
Problem occurs when I extract files to remote directory
Comment 16 Mikhail 2015-10-10 14:53:53 EDT
Another user experienced a similar problem:

Crashed when extracted folder placed on remote share

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        file-roller /home/mikhail/Downloads/products_WB0P7N378.zip
crash_function: g_list_foreach
executable:     /usr/bin/file-roller
global_pid:     9932
kernel:         4.2.3-300.fc23.x86_64+debug
package:        file-roller-3.16.4-1.fc23
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Fedora End Of Life 2016-11-24 07:40:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 09:50:18 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.